Subject: Re: [PATCH v2 tip/core/rcu 05/13] decnet: Apply rcu_access_pointer() to avoid sparse false positive

From: "Paul E. McKenney" <[email-masked]>
Date: Wed, 9 Oct 2013 16:54:11 -0700

On Wed, Oct 09, 2013 at 06:58:47PM -0400, Dhaval Giani wrote:
> On Wed, Oct 9, 2013 at 5:29 PM, Paul E. McKenney
> <[email-masked]> wrote:
> >
> > From: "Paul E. McKenney" <[email-masked]>
> >
> > The sparse checking for rcu_assign_pointer() was recently upgraded
> > to reject non-__kernel address spaces.  This also rejects __rcu,
> > which is almost always the right thing to do.  However, the use in
> > dn_insert_route() is legitimate: It is assigning a pointer to an element
> > from an RCU-protected list, and all elements of this list are already
> > visible to caller.
> >
> > This commit therefore silences this false positive by laundering the
> > pointer using rcu_access_pointer() as suggested by Josh Triplett.
> >
> > Reported-by: kbuild test robot <[email-masked]>
> 
> I did not realize that we were allowed to rename people :-)

Copied and pasted directly from the email I received.  Perhaps strange,
but true!  ;-)

							Thanx, Paul